# Uses of Enum Class
org.snpeff.vcf.VcfInfoType

Packages that use VcfInfoType
Package
Description
org.snpeff.fileIterator
org.snpeff.vcf

## Uses of VcfInfoType in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return VcfInfoType
Modifier and Type
Method
Description
`VcfInfoType`
GuessTableTypes.`getType(String fieldName)`
Get field type
`VcfInfoType[]`
GuessTableTypes.`getTypes()`
Get an array of types (ordered by column)
`VcfInfoType`
GuessTableTypes.`guessType(String value)`
Guess data type for this value

## Uses of VcfInfoType in org.snpeff.vcf

Subclasses with type arguments of type VcfInfoType in org.snpeff.vcf
Modifier and Type
Class
Description
`enum`
`VcfInfoType`
Fields in org.snpeff.vcf declared as VcfInfoType
Modifier and Type
Field
Description
`protected VcfInfoType`
VcfHeaderInfo.`vcfInfoType`
Methods in org.snpeff.vcf that return VcfInfoType
Modifier and Type
Method
Description
`VcfInfoType`
VcfEntry.`getVcfInfoNumber(String id)`
Get Info number for a given ID
`VcfInfoType`
VcfHeaderInfo.`getVcfInfoType()`
`static VcfInfoType`
VcfInfoType.`parse(String str)`
`static VcfInfoType`
VcfInfoType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VcfInfoType[]`
VcfInfoType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.vcf with parameters of type VcfInfoType
Modifier and Type
Method
Description
`void`
VcfHeaderInfo.`setVcfInfoType(VcfInfoType vcfInfoType)`
Constructors in org.snpeff.vcf with parameters of type VcfInfoType
Modifier
Constructor
Description
``
`VcfHeaderFormat(String id, VcfInfoType vcfInfoType, String number, String description)`
``
`VcfHeaderInfo(String id, VcfInfoType vcfInfoType, String number, String description)`